<?php

/*

'**************************************************************************************************

' 软件名称: 黑色幻想舞曲管理系统CMS2.0

' 版本编号: hshxsdj 2.0

' 官方网站: http://www.hshxs.com

' 官方论坛：http://bbs.hshxs.com

' 版权所有: 黑色幻想开发团队    噬己翼(QQ:532917920)

' 郑重声明:

'    1、任何个人或组织不得在未经授权的情况下删除、修改、拷贝本软件及其他副本上一切关于版权的信息；

'    2、黑色幻想网络事业部保留此软件的法律追究权利

'**************************************************************************************************

*/

include "../../../include/conn.php";

include "../../../include/function.php";

include "../../admin_version.php";

include "../../admin_loginstate.php";

header("Content-type: text/html;charset=gb2312");

$action=SafeRequest("action","get");

if($action=="getcheck"){

		 getcheck();

	}

else{	

$id=SafeRequest("id","get");

$ps=SafeRequest("ps","get");

$pe=SafeRequest("pe","get");

$str=SafeRequest("str","get");

if($id=='1'){

	 die("<input name=\"S_UrlStr\" type=\"text\" id=\"S_UrlStr\"   value=\"".$str."\" style=\"width:318px; height:20px;\"/> <font color=#FF0000>＊</font><a onclick=\"getcheck();\">测试获取>></a><span id=\"getinfo\"></span>");

	}

elseif($id=='2'){

	die("<input name=\"S_UrlStr\" type=\"text\" id=\"S_UrlStr\"  value=\"".$str."\" style=\"width:318px; height:20px;\"/>&nbsp;&nbsp;分类页参数&nbsp;&nbsp;<span style=\"color:red;\">{\$ID}</span><br>&nbsp;<font color=#FF0000>标准格式：http://www.xxxxxx.com/list/{\$ID}.html</font><br>&nbsp;采集范围：&nbsp;<input type='text' name=\"S_PageGo\" id=\"S_PageGo\" size=4 value=\"".$ps."\">&nbsp;To&nbsp;<input type=\"text\" name=\"S_PageEnd\"  id=\"S_PageEnd\" size=4 value=\"".$pe."\">&nbsp;例如：1 - 9");

	}

elseif($id=='3'){

	$str=ReplaceStr($str,'#',chr(13).chr(10));

	die(" <textarea name=\"S_UrlStr\" id=\"S_UrlStr\" cols=\"60\" rows=\"5\">".$str."</textarea><br/><font color=#FF0000>＊ 每行为一个分类页地址,请用回车键换行！</font>");	

	}

elseif($id=='4'){

	die("<input name=\"S_UrlStr\" id=\"S_UrlStr\" type=\"text\"   value=\"".$str."\" style=\"width:318px; height:20px;\"/> <font color=#FF0000>＊</font>&nbsp;&nbsp;内容页参数&nbsp;&nbsp;<span style='color:red;'>{\$ID}</span><br>&nbsp;<font color=#FF0000>标准格式：http://www.xxxxxx.com/view/{\$ID}.html</font><br>&nbsp;采集范围：&nbsp;<input type=\"text\" name=\"S_PageGo\" id=\"S_PageGo\" size=4 value=\"".$ps."\">&nbsp;To&nbsp;<input type=\"text\" name=\"S_PageEnd\" id=\"S_PageEnd\" size=4 value=\"".$pe."\">&nbsp;例如：1 - 9");

	}

else{

	 die("<input name=\"S_UrlStr\" type=\"text\" id=\"S_UrlStr\"   value=\"".$str."\" style=\"width:318px; height:20px;\"/> <font color=#FF0000>＊</font><a onclick=\"getcheck();\">测试获取>></a><span id=\"getinfo\"></span>");	

	}

}



function getcheck(){

	$url=SafeRequest("url","get");

	if(function_exists("file_get_contents")){

		for($i=0;$i<4;$i++){

			$con=@file_get_contents($url);

			if(IsNul($con)){

				break;

				}

			}

		if(!IsNul($con)){

			$con=geturl($url);

			}

		}

	else{

		$con=geturl($url);

		}

	if(!IsNul($con)){

		die("<font color=red>对不起,抓取不到$url页面的内容!</font>");

		}

	else{

		die("<font color=green>恭喜!正确的地址~</font>");

		}	

	}

?>

